//////////////////////////////////////////////////////////////////////
// JetSQL - MS Jet SQL script interpreter (c) TECHSYS HW a SW s.r.o.
//////////////////////////////////////////////////////////////////////
// Modul:  astrings.h
// Author: Pavel Klocek
// Desc:   string manipulation functions declaration
//////////////////////////////////////////////////////////////////////

#ifndef __ASTRINGS_H
#define __ASTRINGS_H

#ifndef __AFXEXT_H__
#include <afxext.h>
#endif  
                                                     
/////////////////////////////////////////////////////////////////////////////
//common string manipulations

//inserts lpszText in string S at position pos, returns TRUE if successfull
BOOL InsInString(CString& S, const char* lpszText,int pos);    
//replaces tabs in S with spaces, assumes equidistant tab stops by "dist" columns
void ExpandTabs(CString& S, int dist);              
//inserts line breaks to divide text longer than 80 characters
void SplitLine(CString& S, int spos);
//trims given characters from begin and end of the string
void TrimString(CString& S, char ch = ' ');
/////////////////////////////////////////////////////////////////////////////
//word wrapping 

//returns number of words in string
int GetNumWords(const char* lpszLine);         
//returns string with word number "ix", ix is zerobased           
CString GetWord(const char* lpszLine, int ix);
//returns string with all words from word number "ix", ix is zerobased           
CString GetWords(const char* lpszLine, int ix);

/////////////////////////////////////////////////////////////////////////////
//filename and path manipulating                      

//returns string with file extension (0 .. 3 chars without '.')
CString GetExtension(const char* lpszLine);                      
//returns string with filename(8+3)
CString GetFilename(const char* lpszLine);                  
//returns string with path without filename
CString GetPath(const char* lpszLine, BOOL bEndBacksl = TRUE);    
//replaces old file extension with "lpszExt" (0..3 chars without '.')                     
void ChangeExtension(CString& Line, const char* lpszExt);
//checks, if the string is valid problem
BOOL CheckProblemName(CString fname);
#endif
